Forum Archive        Main Page EOLC
EOLC Forum » Schwarzer Bildschirm  
   
 
Autor
Beitrag [  1  2    »  ]
Urs Michael



Dabei seit: Februar 2011
Herkunft: Deutschschweiz
16 Beiträge
  Schwarzer Bildschirm 

Hallo zusammen!
Ein ziemlich entnervter ü60er ruft um Hilfe. Hier die Situation:
Neu-Installation GPL ab CD mit v.0.97 (aioinstaller) ab bcsims funktioniert gut, bis und mit GEM+ 2. (Ich habe v0.97 gewählt, weil ich mit EIG v.1.4 lediglich die Basis-Version zum Laufen gebracht habe, nach Inst. GPL Secrets ging nichts mehr, eben "schwarzer Bildschirm", nur noch abwürgen und Neustart.)
Die Versuche MODs zu installieren scheiterten dergestalt, dass eigentlich alles sehr vernünftig aussieht, nur beim Versuch zu starten, stürzt das Ganze ab.
Eine Feststellung habe ich noch, das Feld links vom Grafiktreiber bleibt leer, beim funktionierenden 67er Mod steht "Direct 3D".
Meine Maschine: Lenovo, Think Pad E530, Intel i7 3612 QM, Graphik: GT 630M
Als PC-Laie bin ich für jede Unterstützung dankbar.
Mit Dank im voraus und Gruss
Urs

01.05.2013, 10:00  
Fabian Casula




Dabei seit: Oktober 2008
Herkunft: Switzerland
808 Beiträge
   

Hallo Urs

hier mal meine Schnellschuss-Tipps:

schau mal hier

und

a) stell sicher, dass du die neuste GEM2 version installiert hast (v2.5.32) , die nämlich für gewisse Mods unabdingbar ist.

>>> findest du unter "Get GEM2+ update (must have for mods if you have not recently installed )"

b) dann würde ich auch mal GPL auf v1.3 patchen

http://srmz.net/index.php?showtopic=4875


c) dein Problem liegt in erster Linie aber wohl an den (veralteten) Standard-Rasterizern.

unbedingt updaten:
gplrast_v2.5

im GEM musst du dann neben dem Feld "Rasterizer" einen der neuen Rasterizer auswählen (in deinem Fall ist es dann wohl der "Direct3D v2").

ich würde sagen:
probiere das mal aus und ERST WENN es funktioniert, dann

d) würde ich GPL in die Moderne katapultieren anhand 60fps.

http://srmz.net/index.php?showtopic=4584

(muss durch ein Häckchen setzen im GEM erst aktiviert werden. Wenn möglich benutze "60fpsv2newmod".)

good luck

01.05.2013, 19:37  
Urs Michael



Dabei seit: Februar 2011
Herkunft: Deutschschweiz
16 Beiträge
   

Hallo Fabian
Vielen Dank für Deine Antwort. Auch wenn's "nur" ein Schnellschuss ist, so doch gut für einen rechten Schritt weiter. Bezüglich GEM2+ denke ich, bin ich àjour, so hoffe ich wenigstens, in den Eigenschaften bei der Verknüpfung steht im Kommentar GEM+ 2.5.0.32.
Fortschritt Nr. 1: GPL auf 1.3 gepatcht, Nr. 2: gplrast_v2.5 geupdated. Im Rasterizer erscheint Direct3D v2 und sogar die 60 fps funktionieren im 67 MOD. Soweit so gut und bis hierher habe ich auch das Ganze schön gesichert.
Nun habe ich mich an die Installation von MOD 65 gemacht. MOD, update + Carsets installiert. Anschliessend habe ich das übliche Verfahren mit dem gplc65 gemacht. Im GEM alles auf 65 eingestellt und gestartet. Mit allen 3 Carsets das gleiche Ergebnis... "einen schwarzen Bildschirm" und eine tote Maschine..?!Zum Glück blieb diesmal die 67er Installation davon nun unbetroffen.
Neue Ideen sind gefragt...., allen die sich den Kopf für mich zerbrechen, vielen Dank im voraus
Grüsse aus der Schweiz und allen ein schönes Wochenende
Urs

03.05.2013, 14:34  
Fabian Casula




Dabei seit: Oktober 2008
Herkunft: Switzerland
808 Beiträge
   

abgesehen von dem Mod-Problem, klingt das aber schon mal ganz gut.

hmmm.... ob es wohl an DEP (Data Execution Prevention) liegt?

*snip* "Problem: GPL stürzt ab, wenn ich ins Cockpit gehen will,manchmal mit ner Meldung 'Die Anweisung in xyz verweist auf Speicher in abc....'

Mögliche Lösung: Eventuell verhindert ein Sicherheitsdienst von XP das Ausführen alter Anwendungen. In der Systemsteuerung
System->Erweitert->Speichernutzung->Einstellungen->Datenausführungsverhinderung und dort GPL erlauben." *snip*

ich musste weder bei XP noch bei Win7 jemals irgendetwas spezielles verstellen/einstellen. aber wer weiss...?
also ich zögere etwas, dir den Rat zu geben, in dieser Richtung nach der Lösung zu suchen, aber falls du es willst....

.... bei Win7 wäre das unter
Control Panel > System and Security > System > Advanced System Settings > Advanced > Settings (bei Performance) > Data Execution Prevention

oder (einfacher...)

http://www.chip.de/downloads/Enhanced-Mi...t_45744015.html

03.05.2013, 20:55  
Fabian Casula




Dabei seit: Oktober 2008
Herkunft: Switzerland
808 Beiträge
   

hast du eigentlich schon mal alle sicherheitsrelevanten Programme deaktiviert?
Antivirus, Antirootkit usw.?

Im Sinne des Ausschlussverfahrens ist es ohnehin sinnvoll, wenn du vorübergehend mal alle irrelevanten (Hintergrund-)Programme killen würdest.

04.05.2013, 12:12  
Urs Michael



Dabei seit: Februar 2011
Herkunft: Deutschschweiz
16 Beiträge
   

Hallo Fabian
Uhhh, jetzt wird's für mich langsam komplitziert. Deine Vorschläge, muss ich mit meinem PC-Dompteur anschauen.
Was ich allerdings noch vermelden kann, ist, dass ich noch die v.1.7

http://gplps.wordpress.com/gplps-gpl-installer/

versucht habe. Im Prinzip dieselben Resultate wie v.1.4. schwarze Bildschirme agogo! Sowohl der Start über 1.3 als auch im GEM, sofort tote Hose.
Was meinst Du, wäre es sinnvoll meine Sorgen im srmz mal vorzutragen. In Englisch zwar eine heisse Uebung, aber vielleicht der Mühe wert?!? Erfahrungen?
Noch ne Frage: Kann man eigentlich im 67er MOD auch andere Fahrzeuge fahren, also 65, F2 oder Sportwagen?
Ich weiss, etwas viel auf einmal, trotzdem vielen Dank, Gruss und gute Woche.
Urs

05.05.2013, 16:47  
Fabian Casula




Dabei seit: Oktober 2008
Herkunft: Switzerland
808 Beiträge
   

überprüfe doch bitte mal folgendes:

klick auf gpl-ordner mit rechter maustaste
>> eigenschaften >> erweitert >> haken bei Inhalt für schnelle Dateisuche indizieren (engl.: allow indexing service, oder so) setzen.
zudem noch die Datenkompression deaktivieren, falls gesetzt.
"anwenden" resp. "ok" klicken.


Zitat:
Original von Urs Michael
Noch ne Frage: Kann man eigentlich im 67er MOD auch andere Fahrzeuge fahren, also 65, F2 oder Sportwagen?



erst mal ne gemeinsame terminologie finden:
GPL = 1967. basta.
alles andere sind Mods.

und ja, diese Mods gibt es alle unter dem Link, den ich ganz oben (/unten) angegeben habe (srmz.net)

allerdings bin ich nun etwas verunsichert.
ich habe gedacht, GPL (1967) funktioniert und dein Problem sei es, dass du die Mods (1965, 1966, F2, Sportscars, etc.) nicht starten kannst.

hast du also schon bei GPL (1967) nen schwarzen bildschirm?

welche Windows version benutzt du eigentlich?

gl

07.05.2013, 20:19  
Urs Michael



Dabei seit: Februar 2011
Herkunft: Deutschschweiz
16 Beiträge
   

Hallo
Also vorne weg, Windows 7 64 home.
gpl-Ordner erweitert: ist ein Häkchen gesetzt unter Archiv- und Indexattribute: Zulassen, dass für Dateien ... indiziert werden. Die andern 3 Kästchen sind leer.
GPL 1.2.0.2 läuft.
Nach Installation GEM2+ und dann auf GPL (grüner Button) dann stürzt das Ganze ab, noch bevor überhaupt ein MOD installiert wurde.
Also wenn ich richtig verstehe, ist GEM2+ Voraussetzung damit MODs genützt werden können?
Ich bin nun schon den ganzen Tag am pröbeln und habe auch schon mal im abgesicherten Modus versucht, GEM zu starten, die Maschine kehrt einfach wieder zum GEM-Bildschirm zurück, kein Absturz kein Laden.... nichts passiert.
Auch beim Pröbeln kommt immer mal wieder der Ruf nach "glide2x.dll". Allerdings gings dann doch irgendwie wieder weiter.
Sorry, aber ich befürchte so langsam, dass ich mir das Ganze halt abschminken muss. Bedauerlich, aber ich nimm's Dir nicht krumm, wenn es für Dich langsam mühsam wird.
Gruss
Urs

09.05.2013, 16:02  
Fabian Casula




Dabei seit: Oktober 2008
Herkunft: Switzerland
808 Beiträge
   

nö, müde bin ich noch nicht..

hmm... klingt mir fast so, als ob du GEM schlicht den pfad zu GPL nicht zugeordnet hast.

hier mal ein schreenshot von meinem GEM. vielleicht hilft das.



oben links siehst du den pfad, der natürlich zur GPL.EXE in deinem GPL Verzeichnis führen muss.
falls das nicht stimmt, dann klick auf "INSTALLS" links nebenzu.
dann kannst du entweder auf "SEARCH" klicken und GEM sucht nach einer GPL installation oder halt manuell mittels "ADD".

ansonsten würd ich einfach mal nach meinem vorbild angleichen:
- carsets >> 1967 Grand Prix
- cars67
- seasons >> 67season
usw.

danach schauen wir mal weiter...


09.05.2013, 16:38  
Urs Michael



Dabei seit: Februar 2011
Herkunft: Deutschschweiz
16 Beiträge
   

Hallo Fabian
Ich hab GEM2+ geladen und bin nach Vorgabe weitergefahren. Bereits nach dem click auf den grünen GPL-Button --> Absturz. Danach musste ich die Maschine ein zweites Mal starten, damit GPL auf 1.2.0.2 überhaupt wieder korrekt lief.Irgendwie bringt mir der GEM auch die Basis-Installation durcheinander.
Ich hätte Dir gerne meinen Printscreen eingebaut, auch fände ich es sinnvoll, wenn Du mal einen Blick auf meinen gesamten "Sierra-Folder" werfen könntest, allerdings will mir dies hier nicht gelingen. Ich bin halt im Forums-Verkehr nicht wirklich versiert. Austausch evt. via Mail?
Gruss
Urs

11.05.2013, 16:30  
Fabian Casula




Dabei seit: Oktober 2008
Herkunft: Switzerland
808 Beiträge
   

was passiert eigentlich, wenn du in dein GPL-Verzeichnis gehst und "GPL.exe" manuell startest? funktioniert das oder nicht?

wenn du schon dabei bist:
gibt es in dem verzeichnis auch eine datei namens "gplc67.exe"?
wenn ja, was geschieht, wenn du die startest?

wenn du schon dabei bist (teil 2...):
starte mal die datei "gplinspect.exe".
dann klicke auf "select file to analyze".
gib dann bitte den pfad zu "gpl.exe" an.
guck dann, ob da irgendwas in rot geschrieben steht und poste es bitte hier.
rot = da ist etwas nicht ganz so wie's sein sollte.

11.05.2013, 19:39  
Urs Michael



Dabei seit: Februar 2011
Herkunft: Deutschschweiz
16 Beiträge
   

Hallo zu später Stunde
gpl.exe läuft einwandfrei
gplc67.exe --> Absturz
gplinspect.exe nichts rotes, alles schwarz, sowohl bei gpl.exe als auch gplc67.exe
Gute Nacht
Urs

11.05.2013, 22:33  
Olaf Lehmann




Dabei seit: September 2006
Herkunft: Lichtenstein
2167 Beiträge
   

Ein Schuss ins blaue von mir:

Falls Du Vista/Windows7 hast, versuch mal GEM+ als Administrator zu starten.

Gruß
Olaf

12.05.2013, 11:08  
Urs Michael



Dabei seit: Februar 2011
Herkunft: Deutschschweiz
16 Beiträge
   

Hallo Olaf
Vielen Dank für den Tipp, leider auch schon verschiedentlich versucht. Negativ

Eine weitere Feststellung habe ich gemacht. Aus lauter Verzweiflung habe ich mal die andern GEM-Services angeklickt. Bei iGOR bekam ich folgende Meldung mit dem berühmten roten Kreuz
" Window socket error: Der angeforderte Name ist gültig es wurden jedoch keine Daten des angeforderten Typs gefunden (11004) on API'ASync Lookup' "
Könnte das ein Hinweis auf irgend etwas sein?
Gruss an alle
Urs

12.05.2013, 17:10  
Urs Michael



Dabei seit: Februar 2011
Herkunft: Deutschschweiz
16 Beiträge
   

Hallo zusammen!
Also, nach all meinen unzähligen Installationsversuchen steht fest, dass der 67er Patch der Missetäter sein muss.
v 0.97 + GEM + rast2.5 + 60fps alles funktionniert anstandslos, vom GEM aus, wie vom Explorer aus.
Wie ich den 67erPatch lade, und über den roten Knopf GPL starten will, gibs einen satten Absturz. Abwürgen, Neustarten.
Hat jemand eine Idee, an wen ich mich noch wenden könnte... Lenovo, Microsoft oder sonst jemand?

Im srmz gibts 2 Topics mit dem selben Inhalt. Ich habe mich versucht da einzuloggen, ohne Erfolg. Ich weiss nicht, ob das nicht geschätzt wurde dass ich beim ersten Beitrag versucht habe miteinzusteigen...??
Vielleicht kann mir da jemand auf die Sprünge helfen.
Danke und Gruss
Urs

http://srmz.net/index.php?showtopic=9049

http://srmz.net/index.php?showtopic=9080

19.05.2013, 15:51  
Fabian Casula




Dabei seit: Oktober 2008
Herkunft: Switzerland
808 Beiträge
   

Zitat:
Original von Urs Michael
roten Knopf

sicherlich meintest du den grünen Knopf.



du hast nicht berichtet, was "gplinspect.exe" ausspuckt (siehe vorausgehende post). poste die meldungen in rot bitte hier.


geh' doch bitte mal >>hier<< in ruhe den easy installation guide durch und komme dann nochmal zurück. ist sogar auf deutsch.

toitoitoi.

19.05.2013, 17:45  
Urs Michael



Dabei seit: Februar 2011
Herkunft: Deutschschweiz
16 Beiträge
   

Sorry, natürlich grüner Knopf. gplinspect.exe zeigt nichts rotes, weder gpl.exe noch gplc67.exe (siehe auch m/poste vom 11.5. zu später Stunde)
Ich weiss nicht, wo ich noch nachschauen könnte, alle Anleitungen sind ausgedruckt, und ich versuche sie minutiös umzusetzen.
Verhext!

19.05.2013, 18:00  
Urs Michael



Dabei seit: Februar 2011
Herkunft: Deutschschweiz
16 Beiträge
   

Guten Morgen
Als Ergänzung: Heute morgen habe ich eine neue Installation versucht, und zwar ab GPLPS Installer Read me Revision 1.2/23.07.2012 von Bernd Nowak v. 1.4. 29 Seiten ausgedruckt und los gings. Alles lief rund bis S.17. Ab Seite 18, das selbe Bild.
Start mit GPL 1.2.0.2 alles OK
Start mit GPL 1.3 --> Schwarzer Bildschirm
Der Inspektor zeigt weder bei der gpl.exe noch gplc67.exe etwas Rotes an.
Weiters Feld für eine Frage: "DirectX" - braucht es das hier? Wenn ja welche Version?
Bei einer früheren Installationsübung eines andern ältern Spiels (RoF) gab es dadurch erhebliche Probleme in W7.

20.05.2013, 11:10  
Fabian Casula




Dabei seit: Oktober 2008
Herkunft: Switzerland
808 Beiträge
   

Guete Mooorge!

also bei mir läuft DirectX11 (auch Win7/64bit), wobei dies hauptsächlich von der Grafikkarte abhängt. Müsstest theoretisch schauen, welche Version deine GraKa unterstützt.
konkret: falls du eine uralt karte besitzen solltest, dann wird diese die neueren directX versionen natürlich nicht unterstützen.

übrigens:
"So überprüfen Sie die auf dem Computer installierte Version von DirectX

Öffnen Sie das DirectX-Diagnoseprogramm, indem Sie auf die Schaltfläche StartSchaltfläche

"Start"

klicken, im Suchfeld den Text

dxdiag

eingeben und anschließend die EINGABETASTE drücken.

Klicken Sie auf die Registerkarte System, und überprüfen Sie dann unter Systeminformationen die DirectX-Versionsnummer."

****
das ist schon seltsam mit dem v1.3....

ich hab irgendwas in erinnerung, dass man v1.2 installieren muss, dann erst mal GEM laufen lassen soll und erst danach v1.3 installieren.
irgendwie so...
wenn du allerdings dem step-by-step manual gefolgt bist, dann müsste das ja eigentlich stimmen...


20.05.2013, 11:26  
Carsten Theile




Dabei seit: Februar 2006
Herkunft: Dresden
3884 Beiträge
   

Hallo!

Da gerade ein roter Kreis um GPLv1.3 gezeichnet wird: Urs, nimm bitte, falls nicht schon getan, das 60-FPS-Upgrade heraus.
(In GEM+2 das Häkchen dafür entfernen, falls gesetzt.)

Oder: Stell bitte nochmal sicher, dass das für Deine GPL-Version richtige 60-FPS-Upgrade ausgewählt ist.
(v.1.2.0.2 -> 60FPSv2; v1.3 -> 60FPSv2newmod)

Gruß
Carsten

20.05.2013, 12:18  
   
   

Read-only archive of the EOLC forum powered by: Burning Board 1.1.1b © 2002 WoltLab GbR